org.modeshape.web.jcr

## Class ModeShapeJcrDeployer

- java.lang.Object
- - org.modeshape.web.jcr.ModeShapeJcrDeployer

- All Implemented Interfaces:
    EventListener, ServletContextListener

      public class ModeShapeJcrDeployer
      extends Object
      implements ServletContextListener

  Servlet context listener that is responsible for `initializing` the `repository factory`.

  This class is not thread safe, but in practice this does not matter as the servlet container must ensure that only a single instance of this exists per web context and that it is only called in a single-threaded manner.

  This class is not thread-safe.

  See Also:
    `RepositoryManager`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModeShapeJcrDeployer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contextDestroyed(ServletContextEvent event)` Alerts the repository factory that the web application is shutting down
    `void` | `contextInitialized(ServletContextEvent event)` Initializes the repository factory

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModeShapeJcrDeployer

          public ModeShapeJcrDeployer()

  - ### Method Detail

    - #### contextDestroyed

          public void contextDestroyed(ServletContextEvent event)

      Alerts the repository factory that the web application is shutting down
      Specified by:
        `contextDestroyed` in interface `ServletContextListener`
      Parameters:
        `event` - the servlet context event
      See Also:
        `RepositoryManager.shutdown()`

    - #### contextInitialized

          public void contextInitialized(ServletContextEvent event)

      Initializes the repository factory
      Specified by:
        `contextInitialized` in interface `ServletContextListener`
      Parameters:
        `event` - the servlet context event
      See Also:
        `RepositoryManager.initialize(javax.servlet.ServletContext)`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.